---
title: Bulk Transaction Detail
description: Retrieve all transaction details done by the merchant through POS.
---

This API to get all the transaction details done by the merchant through POS . We must pass merchant id, terminal id and unique id in request then we will get the data in terms of transaction id, amount, mobile no, transaction type, etc in the response.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail-bulk
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | The Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data. | `application/x-www-form-urlencodeds` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| mercid  required | String  <br>(1-12) | Merchant Id | `71234` |
| terminalid  required | String  <br>(8) | It is device specific.One device have only one Terminal ID | `00008582` |
| uniqueid  required | String  <br>(4-10) | Unique ID is a unique identifier and have unique value | `000648` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Number | Status Code<br>200 - Success<br>502 - Failed | `200` |
| MERCHANTID  required | Number | Merchant id | `71234` |
| UNIQUEID  required | Number | Unique id | `000648` |
| DATA  required | Array | Transaction data |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail-bulk' \
 --header 'content-type: application/x-www-form-urlencoded' \
 --data-urlencode 'terminalid=00008582' \
 --data-urlencode 'mercid=71234' \
 --data-urlencode 'uniqueid=000648'
```

### Success Response

```json
HTTP/1.1 200 OK
{
     "status": 200​,
     "MERCHANTID": 71234,
     "UNIQUEID": 000648,
     "DATA":[
                 "TRANSACTIONID": 001553, "TABLENO": , "AMOUNT": 1.00, "MOBILENO":9XXXXXX157, "TXNTYPE": 01, "EDITAMOUNT": 1
             ]
}
```

### Error Response

```json
{
    "status": 502,
    "message": []
}
```